summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_w2k3.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-01-24 01:15:30 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:09:09 -0500
commit9c2c819b530d2c017a33f1c0d5b2266aaf40889e (patch)
tree68edd9c42c94c0aa390c51871c21fb3582f1ba9a /source4/script/tests/test_w2k3.sh
parent52ad7774b5f9ff701a5b03d801a54aa7e7005640 (diff)
downloadsamba-9c2c819b530d2c017a33f1c0d5b2266aaf40889e.tar.gz
samba-9c2c819b530d2c017a33f1c0d5b2266aaf40889e.tar.bz2
samba-9c2c819b530d2c017a33f1c0d5b2266aaf40889e.zip
r4953: - enable easy valgrind use in all our test scripts
- when valgrind isn't set, then setup MALLOC_CHECK_ to abort on error (This used to be commit 21e629e80e5b320616135d3f3641801dc29594e6)
Diffstat (limited to 'source4/script/tests/test_w2k3.sh')
-rwxr-xr-xsource4/script/tests/test_w2k3.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/source4/script/tests/test_w2k3.sh b/source4/script/tests/test_w2k3.sh
index a05bfb28b0..fb94c043d4 100755
--- a/source4/script/tests/test_w2k3.sh
+++ b/source4/script/tests/test_w2k3.sh
@@ -14,6 +14,10 @@ EOF
exit 1;
fi
+if [ -z "$VALGRIND" ]; then
+ export MALLOC_CHECK_=2
+fi
+
server="$1"
username="$2"
password="$3"
@@ -23,7 +27,7 @@ shift 4
testit() {
trap "rm -f test.$$" EXIT
cmdline="$*"
- if ! $cmdline > test.$$ 2>&1; then
+ if ! $VALGRIND $cmdline > test.$$ 2>&1; then
cat test.$$;
rm -f test.$$;
echo "TEST FAILED - $cmdline";